Skip to main content
POST
/
v3
/
models
/
{model_id}
/
deploy-surrogate
Deploy a surrogate model
curl --request POST \
  --url https://{host}/v3/models/{model_id}/deploy-surrogate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "env_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deployment_params": {
    "image_uri": "<string>",
    "replicas": 2,
    "cpu": 500,
    "memory": 512
  }
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "job": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

model_id
string<uuid>
required

model id path parameter

Body

application/json

Request payload for to deploy a surrogate model

env_id
string<uuid>
required

Unique identifier of the environment associated to the model

deployment_params
object
required

Additoinal paramteres specified to deploy surrogate model

Response

Surrogate model generation task with job id

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object